{{title='Product Data–Technical'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{=form.custom.begin}}
    <div class="formInputs">
        {{if chosenUseCase == "blisk":}}
            {{if (goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_individualizationpercentage_label"><div class="qmarkBefore" id="individualizationpercentage">&#8505</div>
                    {{=form.custom.label.f_individualizationpercentage}}:<span id="t_technicalProductData_f_individualizationpercentage_description">Percentage of individualized parts</span> 
                </div><div>{{=form.custom.widget.f_individualizationpercentage}} {{=form.custom.comment.f_individualizationpercentage}}</div>
            {{pass}}
            {{if (goals['f_flex'] or goals['f_qual'] or goals['f_safe'] or  goals['f_sus'] or goals['f_util'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_inspectedpercentage_label"><div class="qmarkBefore" id="inspectedpercentage">&#8505</div>
                    {{=form.custom.label.f_inspectedpercentage}}:<span id="t_technicalProductData_f_inspectedpercentage_description">Percentage of inspected parts</span> 
                </div> <div>{{=form.custom.widget.f_inspectedpercentage}} {{=form.custom.comment.f_inspectedpercentage}}</div>
            {{pass}}
            {{if (goals['f_qual'] or  goals['f_sus'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_reworkpercentage_label"><div class="qmarkBefore" id="reworkpercentage">&#8505</div>
                    {{=form.custom.label.f_reworkpercentage}}:<span id="t_technicalProductData_f_reworkpercentage_description">Percentage of parts that require rework</span> 
                </div><div>{{=form.custom.widget.f_reworkpercentage}} {{=form.custom.comment.f_reworkpercentage}}</div>
            {{pass}}
            {{if (goals['f_mob'] or goals['f_qual'] or  goals['f_sus'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_reworkduration_vibration_label"><div class="qmarkBefore" id="reworkduration_vibration">&#8505</div>
                    {{=form.custom.label.f_reworkduration_vibration}}:<span id="t_technicalProductData_f_reworkduration_vibration_description">Necessary time for rework per Vibration</span> 
                </div> <div>{{=form.custom.widget.f_reworkduration_vibration}} {{=form.custom.comment.f_reworkduration_vibration}}</div>
                <div id="t_technicalProductData_f_reworkduration_label"><div class="qmarkBefore" id="reworkduration">&#8505</div>
                    {{=form.custom.label.f_reworkduration}}:<span id="t_technicalProductData_f_reworkduration_description">Necessary base time needed to rework one part</span> 
                </div> <div>{{=form.custom.widget.f_reworkduration}} {{=form.custom.comment.f_reworkduration}}</div>
            {{pass}}
            {{if (goals['f_qual'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_inspectiontime_label"><div class="qmarkBefore" id="inspectiontime">&#8505</div>
                    {{=form.custom.label.f_inspectiontime}}:<span id="t_technicalProductData_f_inspectiontime_description">Necessary time needed to inspect one part</span> 
                </div> <div>{{=form.custom.widget.f_inspectiontime}} {{=form.custom.comment.f_inspectiontime}}</div>
            {{pass}}
            {{if (goals['f_flex']):}}
                <div id="t_technicalProductData_f_productvariantsonapplication_label"><div class="qmarkBefore" id="productvariantsonapplication">&#8505</div>
                        {{=form.custom.label.f_productvariantsonapplication}}:<span id="t_technicalProductData_f_productvariantsonapplication_description">Number of variants that can be manufactured on the application</span> 
                </div><div>{{=form.custom.widget.f_productvariantsonapplication}} {{=form.custom.comment.f_productvariantsonapplication}}</div>
                <div id="t_technicalProductData_f_totalproductvariants_label"><div class="qmarkBefore" id="totalproductvariants">&#8505</div>
                    {{=form.custom.label.f_totalproductvariants}}:<span id="t_technicalProductData_f_totalproductvariants_description">Total number of variants that are offered and available for the customer</span> 
                </div><div>{{=form.custom.widget.f_totalproductvariants}} {{=form.custom.comment.f_totalproductvariants}}</div>
            {{pass}}
        {{pass}}
        {{if chosenUseCase == "agv":}}
            {{if (goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_individualizationpercentage_label"><div class="qmarkBefore" id="individualizationpercentage">&#8505</div>
                    {{=form.custom.label.f_individualizationpercentage}}:<span id="t_technicalProductData_f_individualizationpercentage_description">Percentage of individualized parts</span> 
                </div><div>{{=form.custom.widget.f_individualizationpercentage}} {{=form.custom.comment.f_individualizationpercentage}}</div>
            {{pass}}
            {{if (goals['f_qual'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
                <div id="t_technicalProductData_f_inspectedpercentage_label"><div class="qmarkBefore" id="inspectedpercentage">&#8505</div>
                    {{=form.custom.label.f_inspectedpercentage}}:<span id="t_technicalProductData_f_inspectedpercentage_description">Percentage of inspected parts</span> 
                </div> <div>{{=form.custom.widget.f_inspectedpercentage}} {{=form.custom.comment.f_inspectedpercentage}}</div>
                <div id="t_technicalProductData_f_reworkpercentage_label"><div class="qmarkBefore" id="reworkpercentage">&#8505</div>
                    {{=form.custom.label.f_reworkpercentage}}:<span id="t_technicalProductData_f_reworkpercentage_description">Percentage of parts that require rework</span> 
                </div><div>{{=form.custom.widget.f_reworkpercentage}} {{=form.custom.comment.f_reworkpercentage}}</div>
                <div id="t_technicalProductData_f_timetorework_label"><div class="qmarkBefore" id="timetorework">&#8505</div>
                    {{=form.custom.label.f_timetorework}}:<span id="t_technicalProductData_f_timetorework_description">Average duration of rework of a single part</span> 
                </div><div>{{=form.custom.widget.f_timetorework}} {{=form.custom.comment.f_timetorework}}</div>
            {{pass}}
            {{if (goals['f_qual']):}}
                <div id="t_technicalProductData_f_inspectiontime_label"><div class="qmarkBefore" id="inspectiontime">&#8505</div>
                    {{=form.custom.label.f_inspectiontime}}:<span id="t_technicalProductData_f_inspectiontime_description">Necessary time needed to inspect one part</span> 
                </div> <div>{{=form.custom.widget.f_inspectiontime}} {{=form.custom.comment.f_inspectiontime}}</div>
            {{pass}}
            {{if (goals['f_flex']):}}
                <div id="t_technicalProductData_f_productvariantsonapplication_label"><div class="qmarkBefore" id="productvariantsonapplication">&#8505</div>
                        {{=form.custom.label.f_productvariantsonapplication}}:<span id="t_technicalProductData_f_productvariantsonapplication_description">Number of variants that can be manufactured on the application</span> 
                </div><div>{{=form.custom.widget.f_productvariantsonapplication}} {{=form.custom.comment.f_productvariantsonapplication}}</div>
                <div id="t_technicalProductData_f_totalproductvariants_label"><div class="qmarkBefore" id="totalproductvariants">&#8505</div>
                    {{=form.custom.label.f_totalproductvariants}}:<span id="t_technicalProductData_f_totalproductvariants_description">Total number of variants that are offered and available for the customer</span> 
                </div><div>{{=form.custom.widget.f_totalproductvariants}} {{=form.custom.comment.f_totalproductvariants}}</div>
            {{pass}}
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
    {{=form.custom.end}}
    {{message=""}}
    
</body>
